# Interface LongEntry

All Superinterfaces:
  `AnnotationConstantValueEntry, ConstantValueEntry, LoadableConstantEntry, PoolEntry`

public sealed interface LongEntry extends AnnotationConstantValueEntry, ConstantValueEntry
Models a `CONSTANT_Long_info` structure, or a `long` constant, in the constant pool of a `class` file.

The use of a `LongEntry` is modeled by a `long`. Conversions are through `ConstantPoolBuilder.longEntry(long)` and `longValue()`.

A long entry has a width of `2`, making its subsequent constant pool index valid and unusable.

See Java Virtual Machine Specification:
  4.4.5 The `CONSTANT_Long_info` and `CONSTANT_Double_info` Structures
Since:
  24
See Also:
  - `ConstantPoolBuilder::longEntry`

## Field Summary

### Fields declared in interface PoolEntry

`TAG_CLASS, TAG_DOUBLE, TAG_DYNAMIC, TAG_FIELDREF, TAG_FLOAT, TAG_INTEGER, TAG_INTERFACE_METHODREF, TAG_INVOKE_DYNAMIC, TAG_LONG, TAG_METHOD_HANDLE, TAG_METHOD_TYPE, TAG_METHODREF, TAG_MODULE, TAG_NAME_AND_TYPE, TAG_PACKAGE, TAG_STRING, TAG_UTF8`
Modifier and Type
Field
Description
`static final int`
`TAG_CLASS`
The tag for `CONSTANT_Class` constant kind.
`static final int`
`TAG_DOUBLE`
The tag for `CONSTANT_Double` constant kind.
`static final int`
`TAG_DYNAMIC`
The tag for `CONSTANT_Dynamic` constant kind.
`static final int`
`TAG_FIELDREF`
The tag for `CONSTANT_Fieldref` constant kind.
`static final int`
`TAG_FLOAT`
The tag for `CONSTANT_Float` constant kind.
`static final int`
`TAG_INTEGER`
The tag for `CONSTANT_Integer` constant kind.
`static final int`
`TAG_INTERFACE_METHODREF`
The tag for `CONSTANT_InterfaceMethodref` constant kind.
`static final int`
`TAG_INVOKE_DYNAMIC`
The tag for `CONSTANT_InvokeDynamic` constant kind.
`static final int`
`TAG_LONG`
The tag for `CONSTANT_Long` constant kind.
`static final int`
`TAG_METHOD_HANDLE`
The tag for `CONSTANT_MethodHandle` constant kind.
`static final int`
`TAG_METHOD_TYPE`
The tag for `CONSTANT_MethodType` constant kind.
`static final int`
`TAG_METHODREF`
The tag for `CONSTANT_Methodref` constant kind.
`static final int`
`TAG_MODULE`
The tag for `CONSTANT_Module` constant kind.
`static final int`
`TAG_NAME_AND_TYPE`
The tag for `CONSTANT_NameAndType` constant kind.
`static final int`
`TAG_PACKAGE`
The tag for `CONSTANT_Package` constant kind.
`static final int`
`TAG_STRING`
The tag for `CONSTANT_String` constant kind.
`static final int`
`TAG_UTF8`
The tag for `CONSTANT_Utf8` constant kind.

## Method Summary

Modifier and Type
Method
Description
`long`
`longValue()`
Returns the `long` value.
`default TypeKind`
`typeKind()`
Returns the type of the constant.

### Methods declared in interface AnnotationConstantValueEntry

`constantValue`
Modifier and Type
Method
Description
`ConstantDesc`
`constantValue()`
Returns the constant value.

### Methods declared in interface ConstantValueEntry

`constantValue`
Modifier and Type
Method
Description
`ConstantDesc`
`constantValue()`
Returns the constant value.

### Methods declared in interface PoolEntry

`constantPool, index, tag, width`
Modifier and Type
Method
Description
`ConstantPool`
`constantPool()`
Returns the constant pool this entry is from.
`int`
`index()`
Returns the index within the constant pool corresponding to this entry.
`int`
`tag()`
Returns the constant pool tag that describes the type of this entry.
`int`
`width()`
Returns the number of constant pool slots this entry consumes.

## Method Details

### longValue

long longValue()
Returns the `long` value.

Returns:
  the `long` value
See Also:
  - `ConstantPoolBuilder::longEntry(long)`

### typeKind

default TypeKind typeKind()
Returns the type of the constant.

Specified by:
  `typeKind` in interface `LoadableConstantEntry`
Returns:
  the type of the constant